#
# spec file for package xlsclients
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xlsclients
Version:        1.1.5
Release:        1.6
Summary:        Utility to list client applications running on a X11 server
License:        X11
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xcb) >= 1.6
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xlsclients is a utility for listing information about the client
applications running on a X11 server.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xlsclients
%{_mandir}/man1/xlsclients.1%{?ext_man}

%changelog
* Sun Nov 13 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.5
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * gitlab CI: add a basic build test
  * gitlab CI: stop requiring Signed-off-by in commits
  * Quiet -Wmaybe-uninitialized warnings from gcc
  * Handle -Wsign-compare warnings
  * usage: add cold & noreturn attributes to function
  * Resolve implicit conversion warnings from clang
* Mon Sep 19 2022 Dirk Müller <dmueller@suse.com>
- modernize spec-file, move license to licensedir
* Wed Apr  4 2018 sndirsch@suse.com
- Update to version 1.1.4:
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Print which option was in error along with usage message
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 1.1.3:
  + Fix deconstification warnings from gcc.
  + Add -version flag to print version from PACKAGE_STRING.
  + Give unique names to the two reply variables in child_info.
  + configure.ac: regroup statements and comment.
  + Add missing AC_CONFIG_SRCDIR([Makefile.am]).
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xlsclients from xorg-x11. Initial version: 1.1.2.
